Skip to main content
POST
Resubscribe a customer to campaigns and triggers

Authorizations

Authorization
string
header
required

Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.

Path Parameters

id
string
required

The ID of the customer

Body

application/json
type
enum<string>
required

The type of resubscribe. campaign in this case indicates resubscribing to a single campaign

Available options:
campaign
campaign_id
string
required

The ID of the campaign to resubscribe to

Response

200 - application/json

The Customer object which was resubscribed

id
string
required

The ID of the customer

external_id
string | null
required

The external ID of the customer

email_address
string | null
required

The email address of the customer

phone_number
string | null
required

The phone number of the customer

full_name
string | null
required

The full name of the customer

metadata
object
required

The metadata associated with this customer

unsubscribed
enum<string> | null
required

The unsubscribe status of the customer

Available options:
future,
campaign